import time
import machine
from machine import I2C, Pin
from ads1x15 import *

i2c = I2C( sda = Pin(4), scl=Pin(5) )
adc = ADS1115(i2c = i2c, address = 72, gain = 0)

rel = machine.Pin(2, machine.Pin.OUT)

def main():
	# init
	#rel = machine.Pin(2, machine.Pin.OUT)
	#tim = Timer(-1)
	#tim.init(period=500, mode=Timer.PERIODIC, callback=loop500 t)
	#print("papa")
	start = time.ticks_ms() # get millisecond counter
	while True:
		delta = time.ticks_diff(time.ticks_ms(), start) # compute time difference
		if delta > 1000: 
			start = time.ticks_ms()
			loop(start)


def loop(t):
	#print(t)
	#if rel.value():
	#	rel.off()
	#else:
	#	rel.on()
	value = adc.read(rate=0, channel1=0)
	# value eau:8000 air:17639
	print(value)
	if value > 12000:
		rel.on()
	else:
		rel.off()



#if __name__ == "__main__":
#	main()
